=== debian/control ===
Source: ros-kinetic-footstep-planner
Section: misc
Priority: extra
Maintainer: Pramuditha Aravinda <aravindadp@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libopencv-dev, ros-kinetic-actionlib, ros-kinetic-angles, ros-kinetic-catkin, ros-kinetic-geometry-msgs, ros-kinetic-gridmap-2d, ros-kinetic-humanoid-nav-msgs, ros-kinetic-map-server, ros-kinetic-nav-msgs, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sbpl, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Homepage: http://wiki.ros.org/footstep_planner
Standards-Version: 3.9.2

Package: ros-kinetic-footstep-planner
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libopencv-dev, ros-kinetic-actionlib, ros-kinetic-angles, ros-kinetic-geometry-msgs, ros-kinetic-gridmap-2d, ros-kinetic-humanoid-nav-msgs, ros-kinetic-map-server, ros-kinetic-nav-msgs, ros-kinetic-rosconsole, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-sbpl, ros-kinetic-sensor-msgs, ros-kinetic-tf, ros-kinetic-visualization-msgs
Description: A footstep planner for humanoid / biped robots.
 The planner builds on SBPL and has anytime as well as dynamic replanning capabilities. The supported planners are: ARA*, AD*, R*. Details can be found in the following publications: &quot;Humanoid Navigation with Dynamic Footstep Plans&quot; by J. Garimort, A. Hornung, and M. Bennewitz; published in Proc. of the IEEE International Conference on Robotics &amp; Automation (ICRA), 2011 Anytime Search-Based Footstep Planning with Suboptimality Bounds by A. Hornung, A. Dornbush, M. Likhachev, and M. Bennewitz; published in Proc. of the IEEE-RAS International Conference on Humanoid Robots (HUMANOIDS), 2012
